classification
Title: py3K bdist_msi wrongly installs itself in ALL python versions
Type: Stage: resolved
Components: Distutils Versions: Python 3.4, Python 3.5
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: tarek Nosy List: brian.curtin, eric.smith, loewis, pakal, steve.dower, tarek
Priority: normal Keywords:

Created on 2010-05-19 10:19 by pakal, last changed 2021-02-03 18:29 by steve.dower. This issue is now closed.

Files
File name Uploaded Description Edit
RSFile-1.0.win32.msi pakal, 2010-05-19 10:19
RSFile-1.0.tar.gz pakal, 2010-05-19 11:55
Messages (7)
msg106042 - (view) Author: Pascal Chambon (pakal) * Date: 2010-05-19 10:19
I've created a pure-python package with py3k's bdist_msi, and weirdly, even though the windows installer asks for the target directory, it installs the package in ALL python distributions installed (py26, py27 and py31), which is particularly embarassing since it's a py3k-only pure-python package...
msg106045 - (view) Author: Eric V. Smith (eric.smith) * (Python committer) Date: 2010-05-19 11:33
Could you attach the source to a small example? I don't think anyone's interested in running a random .msi file.
msg106048 - (view) Author: Pascal Chambon (pakal) * Date: 2010-05-19 11:55
Thansk for the attention,

Here it is (I ran bdist_msi with the latest SVN py3k version).
msg106051 - (view) Author: Tarek Ziadé (tarek) * (Python committer) Date: 2010-05-19 12:03
did you use any particular option when running it ?
msg106060 - (view) Author: Pascal Chambon (pakal) * Date: 2010-05-19 13:15
None at all, a simple python "setup.py bdist_msi".

Once I've installed the MSI(and whatever the target python version I chose), launching it again will always trigger a "repair/uninstall" wizard, and the operatiosn I do with it are made on ALL python versions at teh same time (eg., if I uninstall, my library gets properly removed from ALL site-packages directories....).

That's really weird actually, I've not found mentions of similar errors on the web or bug tracker...
msg106074 - (view) Author: Brian Curtin (brian.curtin) * (Python committer) Date: 2010-05-19 14:00
Are you allowing it to install into all Python versions? I have a package here at work that I make bdist_msi installers for and most of my machines have 2.6 and 3.1 on them. During the install I only choose to install it for 3.1 when the extensions are compiled for that version, and it does not end up getting installed to the 2.6 area (or vice versa).

This is what I choose during the install, which ends up working properly: http://i.imgur.com/vq5ch.png (safe link, it's an image uploading site)
msg386407 - (view) Author: Steve Dower (steve.dower) * (Python committer) Date: 2021-02-03 18:29
Distutils is now deprecated (see PEP 632) and all tagged issues are being closed. From now until removal, only release blocking issues will be considered for distutils.

If this issue does not relate to distutils, please remove the component and reopen it. If you believe it still requires a fix, most likely the issue should be re-reported at https://github.com/pypa/setuptools
History
Date User Action Args
2021-02-03 18:29:04steve.dowersetstatus: open -> closed

nosy: + steve.dower
messages: + msg386407

resolution: out of date
stage: resolved
2014-03-20 01:12:17BreamoreBoysetversions: + Python 3.4, Python 3.5, - Python 3.1, Python 3.2
2010-05-19 14:00:32brian.curtinsetnosy: + brian.curtin
messages: + msg106074
2010-05-19 13:15:41pakalsetmessages: + msg106060
2010-05-19 12:03:44tareksetnosy: + loewis
messages: + msg106051
2010-05-19 11:55:45pakalsetfiles: + RSFile-1.0.tar.gz

messages: + msg106048
2010-05-19 11:33:27eric.smithsetnosy: + eric.smith
messages: + msg106045
2010-05-19 10:19:49pakalcreate